// Jest Snapshot v1, https://goo.gl/fbAQLP

exports[`module transforms correctly using "module-0" data 1`] = `
"module.exports = {
    entry: 'index.js',

    output: {
		filename: 'bundle.js'
	},

    module: {
        rules: [{
            test: /\\\\.(js|vue)$/,
            loader: 'eslint-loader',
            enforce: 'pre',
            include: [customObj, 'Stringy'],

            options: {
                formatter: 'someOption'
            }
        }, {
            test: /\\\\.vue$/,
            loader: 'vue-loader',
            options: vueObject
        }, {
            test: /\\\\.js$/,
            loader: 'babel-loader',
            include: [resolve('src'), resolve('test')]
        }, {
            test: /\\\\.(png|jpe?g|gif|svg)(\\\\?.*)?$/,
            loader: 'url-loader',

            options: {
                limit: 10000,
                name: utils.assetsPath('img/[name].[hash:7].[ext]')
            }
        }, {
            test: /\\\\.(woff2?|eot|ttf|otf)(\\\\?.*)?$/,
            loader: 'url-loader',

            options: {
                limit: 10000,
                name: utils.assetsPath('fonts/[name].[hash:7].[ext]'),
                someArr: [Hey]
            }
        }]
    }
}
"
`;

exports[`module transforms correctly using "module-0" data 2`] = `
"module.exports = {
    entry: 'index.js',

    output: {
		filename: 'bundle.js'
	},

    module: {
        rules: [{{#if_eq build 'standalone'}}, {
            test: /\\\\.(js|vue)$/,
            loader: 'eslint-loader',
            enforce: 'pre',
            include: [customObj, 'Stringy'],

            options: {
                formatter: 'someOption'
            }
        }, {
            test: /\\\\.vue$/,
            loader: 'vue-loader',
            options: vueObject
        }, {
            test: /\\\\.js$/,
            loader: 'babel-loader',
            include: [resolve('src'), resolve('test')]
        }, {
            test: /\\\\.(png|jpe?g|gif|svg)(\\\\?.*)?$/,
            loader: 'url-loader',

            options: {
                limit: 10000,
                name: utils.assetsPath('img/[name].[hash:7].[ext]'),
                {{#if_eq build 'standalone'}}
            }
        }, {
            test: /\\\\.(woff2?|eot|ttf|otf)(\\\\?.*)?$/,
            loader: 'url-loader',
            {{#if_eq build 'standalone'}},

            options: {
                limit: 10000,
                name: utils.assetsPath('fonts/[name].[hash:7].[ext]')
            }
        }]
    }
}
"
`;

exports[`module transforms correctly using "module-0" data 3`] = `
"module.exports = {
    entry: 'index.js',

    output: {
		filename: 'bundle.js'
	},

    module: {
        rules: [{
            test: /\\\\.(js|vue)$/,
            loader: 'eslint-loader',
            enforce: 'pre',
            include: [customObj, 'Stringy'],

            options: {
                formatter: 'someOption'
            }
        }, {
            test: /\\\\.vue$/,
            loader: 'vue-loader',
            options: vueObject
        }, {
            test: /\\\\.js$/,
            loader: 'babel-loader',
            include: [resolve('src'), resolve('test')]
        }, {
            test: /\\\\.(png|jpe?g|gif|svg)(\\\\?.*)?$/,
            loader: 'url-loader',

            options: {
                limit: 10000,
                name: utils.assetsPath('img/[name].[hash:7].[ext]')
            }
        }, {
            test: /\\\\.(woff2?|eot|ttf|otf)(\\\\?.*)?$/,
            loader: 'url-loader',

            options: {
                limit: 10000,
                name: utils.assetsPath('fonts/[name].[hash:7].[ext]'),
                someArr: [Hey]
            }
        }]
    }
}
"
`;

exports[`module transforms correctly using "module-1" data 1`] = `
"module.exports = {
    entry: 'index.js',

    output: {
		filename: 'bundle.js'
	},

    module: {
        noParse: /jquery|lodash/,

        rules: [{
            test: /\\\\.js$/,

            parser: {
                amd: false
            },

            use: ['htmllint-loader', {
                loader: 'html-loader',

                options: {
                    hello: 'world'
                }
            }]
        }]
    }
}
"
`;

exports[`module transforms correctly using "module-1" data 2`] = `
"module.exports = {
    entry: 'index.js',

    output: {
		filename: 'bundle.js'
	},

    module: {
        noParse: /jquery|lodash/,

        rules: [{
            test: /\\\\.js$/,

            parser: {
                amd: false
            },

            use: ['htmllint-loader', {
                loader: 'html-loader',

                options: {
                    hello: 'world'
                }
            }]
        }]
    }
}
"
`;

exports[`module transforms correctly using "module-2" data 1`] = `
"module.exports = {
	entry: 'index.js',
	output: {
		filename: 'bundle.js'
	},
	module: {
		rules: [
			{
				loader: \\"'eslint-loader'\\",
				enforce: \\"'pre'\\",
				include: [\\"hey\\", \\"'Stringy'\\"],
				options: {
					formatter: \\"'someOption'\\"
				}
			},
			{
				loader: \\"'vue-loader'\\",
				options: \\"vueObject\\"
			},
			{
				loader: \\"'babel-loader'\\",
				include: [\\"resolve('src')\\", \\"resolve('test')\\"]
			},
			{
				loader: \\"'url-loader'\\",
				options: {
					limit: 10000,
					name: \\"utils.assetsPath('img/[name].[hash:7].[ext]')\\",
					inject: \\"{{#if_eq build 'standalone'}}\\"
				}
			},
			{
				loader: \\"'url-loader'\\",
				inject: \\"{{#if_eq build 'standalone'}}\\",
				options: {
					limit: \\"10000\\",
					name: \\"utils.assetsPath('fonts/[name].[hash:7].[ext]')\\"
				}
			}
		]
	},
}
"
`;
